# `CUDA_Runtime_jll.jl` (v0.12.0+1)

[![deps](https://juliahub.com/docs/CUDA_Runtime_jll/deps.svg)](https://juliahub.com/ui/Packages/CUDA_Runtime_jll/Hs50y?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/3eeeaa87bbae5ed29615959d87cdeb09f96f3190/C/CUDA/CUDA_Runtime/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `CUDA_Runtime_jll.jl` have been built from these sources:

* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_cudart/windows-x86_64/cuda_cudart-windows-x86_64-12.4.99-archive.zip (SHA256 checksum: `1034ca43da4afbc79f69269cc60dc081de631e1c0d229d60f045d9516409317a`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_cupti/windows-x86_64/cuda_cupti-windows-x86_64-12.4.99-archive.zip (SHA256 checksum: `532118bdcf168d80e634daf1407a9819a46e9d6ded180eaae02758565d1a429a`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvcc/windows-x86_64/cuda_nvcc-windows-x86_64-12.4.99-archive.zip (SHA256 checksum: `34f7d7e7843e3a95b35b1d697ea054765edccc73c6b31787a5b68d2261154d2c`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvrtc/windows-x86_64/cuda_nvrtc-windows-x86_64-12.4.99-archive.zip (SHA256 checksum: `807c060bbe5175d325d3334fd64fd73d01741a99c65a7460dda74588defdde2a`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_nvdisasm/windows-x86_64/cuda_nvdisasm-windows-x86_64-12.4.99-archive.zip (SHA256 checksum: `6c25db1da8b807f105bde8fe83702370a9141ba3c030ed6e20c25564cad8725c`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/cuda_sanitizer_api/windows-x86_64/cuda_sanitizer_api-windows-x86_64-12.4.99-archive.zip (SHA256 checksum: `2a1d9543fd95e5a7d4b3cd11e56c2d02705e0bab22acfdad72696803580e74b1`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcublas/windows-x86_64/libcublas-windows-x86_64-12.4.2.65-archive.zip (SHA256 checksum: `4229d2b590e4382e1b36651dde644e04c5a8664f99f53bb43dca967982a84f58`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcufft/windows-x86_64/libcufft-windows-x86_64-11.2.0.44-archive.zip (SHA256 checksum: `265761bc01bd1453a0c4f7427dbc301ee1a68cde57fd8b48ee1fc238ebe827d8`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcurand/windows-x86_64/libcurand-windows-x86_64-10.3.5.119-archive.zip (SHA256 checksum: `f7c76fcc64112309a26d7725d3357e89be2cf2ac69ed90e5653f290ed8e39078`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcusolver/windows-x86_64/libcusolver-windows-x86_64-11.6.0.99-archive.zip (SHA256 checksum: `bc800184054b7efecf8dd3c508f5333bdac7c39f271eaf3eaf3be0127fddad51`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libcusparse/windows-x86_64/libcusparse-windows-x86_64-12.3.0.142-archive.zip (SHA256 checksum: `66c7f041f8f59162cb70da1ef3e469b33ed9fbeed18e26a7325887c32039e694`)
* compressed archive: https://developer.download.nvidia.com/compute/cuda/redist/libnvjitlink/windows-x86_64/libnvjitlink-windows-x86_64-12.4.99-archive.zip (SHA256 checksum: `f558101a44a35311ddc7bf0cddff601b341bb70278d443148599a5742ffe5623`)

## Platforms

`CUDA_Runtime_jll.jl` is available for the following platforms:

* `Windows x86_64 {cuda=12.4}` (`x86_64-w64-mingw32-cuda+12.4`)

## Dependencies

The following JLL packages are required by `CUDA_Runtime_jll.jl`:

* [`CUDA_Driver_jll`](https://github.com/JuliaBinaryWrappers/CUDA_Driver_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libcublas`
* `LibraryProduct`: `libcublasLt`
* `FileProduct`: `libcudadevrt`
* `LibraryProduct`: `libcudart`
* `LibraryProduct`: `libcufft`
* `LibraryProduct`: `libcupti`
* `LibraryProduct`: `libcurand`
* `LibraryProduct`: `libcusolver`
* `LibraryProduct`: `libcusolverMg`
* `LibraryProduct`: `libcusparse`
* `FileProduct`: `libdevice`
* `LibraryProduct`: `libnvJitLink`
* `LibraryProduct`: `libnvperf_host`
* `LibraryProduct`: `libnvperf_target`
* `LibraryProduct`: `libnvrtc`
* `LibraryProduct`: `libnvrtc_builtins`
* `LibraryProduct`: `libnvvm`
* `ExecutableProduct`: `compute_sanitizer`
* `ExecutableProduct`: `nvdisasm`
* `ExecutableProduct`: `nvlink`
* `ExecutableProduct`: `ptxas`
